Orxonox: OIS::Object Class Reference

# OIS::Object Class Reference

`#include <src/ois/OISObject.h>`

Inheritance diagram for OIS::Object:

List of all members.

## Public Member Functions

virtual void | _initialize ()=0
virtual bool | buffered () const
virtual void | capture ()=0
InputManager * | getCreator () const
virtual int | getID () const
virtual Interface * | queryInterface (Interface::IType type)=0
virtual void | setBuffered (bool buffered)=0
Type | type () const
const std::string & | vendor () const
virtual | ~Object ()

## Protected Member Functions

| Object (const std::string &vendor, Type iType, bool buffered, int devID, InputManager *creator)

## Protected Attributes

bool | mBuffered
| Buffered flag.
InputManager * | mCreator
| The creator who created this object.
int | mDevID
| Not fully implemented yet.
Type | mType
| Type of controller object.
std::string | mVendor
| Vendor name if applicable/known.

## Detailed Description

The base class of all input types.

## Constructor & Destructor Documentation

virtual OIS::Object::~Object | ( |  | ) | `[inline, virtual]`

OIS::Object::Object | ( | const std::string & | vendor,
|  | Type | iType,
|  | bool | buffered,
|  | int | devID,
|  | InputManager * | creator |
| ) |  |  | `[inline, protected]`

## Member Function Documentation

virtual void OIS::Object::_initialize | ( |  | ) | `[pure virtual]`

Remarks:
  Internal... Do not call this directly.

Implemented in OIS::LinuxJoyStick, OIS::LinuxKeyboard, OIS::LinuxMouse, OIS::MacKeyboard, OIS::MacMouse, OIS::Win32JoyStick, OIS::Win32Keyboard, and OIS::Win32Mouse.

Referenced by OIS::InputManager::createInputObject().

virtual bool OIS::Object::buffered | ( |  | ) | const`[inline, virtual]`

Remarks:
  Get buffered mode - true is buffered, false otherwise

virtual void OIS::Object::capture | ( |  | ) | `[pure virtual]`

Remarks:
  Used for updating call once per frame before checking state or to update events

Implemented in OIS::LinuxJoyStick, OIS::LinuxKeyboard, OIS::LinuxMouse, OIS::MacKeyboard, OIS::MacMouse, OIS::Win32JoyStick, OIS::Win32Keyboard, and OIS::Win32Mouse.

Referenced by orxonox::InputManager::update().

InputManager* OIS::Object::getCreator | ( |  | ) | const`[inline]`

Remarks:
  Returns this input object's creator

virtual int OIS::Object::getID | ( |  | ) | const`[inline, virtual]`

Remarks:
  This may/may not) differentiate the different controllers based on (for instance) a port number (useful for console InputManagers)

Referenced by orxonox::InputManager::_initialiseJoySticks().

virtual Interface* OIS::Object::queryInterface | ( | Interface::IType | type | ) | `[pure virtual]`

Remarks:
  If available, get an interface to write to some devices. Examples include, turning on and off LEDs, ForceFeedback, etc

Parameters:

  | type | The type of interface you are looking for

Implemented in OIS::LinuxJoyStick, OIS::LinuxKeyboard, OIS::LinuxMouse, OIS::MacKeyboard, OIS::MacMouse, OIS::Win32JoyStick, OIS::Win32Keyboard, and OIS::Win32Mouse.

virtual void OIS::Object::setBuffered | ( | bool | buffered | ) | `[pure virtual]`

Remarks:
  Sets buffered mode

Implemented in OIS::LinuxJoyStick, OIS::LinuxKeyboard, OIS::LinuxMouse, OIS::MacKeyboard, OIS::MacMouse, OIS::Win32JoyStick, OIS::Win32Keyboard, and OIS::Win32Mouse.

Type OIS::Object::type | ( |  | ) | const`[inline]`

Remarks:
  Get the type of device

Referenced by OIS::LinuxJoyStick::capture(), and OIS::LinuxInputManager::destroyObject().

const std::string& OIS::Object::vendor | ( |  | ) | const`[inline]`

Remarks:
  Get the vender string name

## Member Data Documentation

bool OIS::Object::mBuffered`[protected]`

Buffered flag.

Referenced by OIS::Win32JoyStick::_changePOV(), OIS::Win32JoyStick::_doButtonClick(), OIS::Win32Mouse::_doMouseClick(), OIS::Win32Keyboard::_initialize(), OIS::LinuxKeyboard::_injectKeyDown(), OIS::LinuxKeyboard::_injectKeyUp(), OIS::MacMouse::_mouseCallback(), OIS::LinuxMouse::_processXEvents(), OIS::Win32Mouse::capture(), OIS::Win32Keyboard::capture(), OIS::Win32JoyStick::capture(), OIS::MacMouse::capture(), OIS::MacKeyboard::capture(), OIS::LinuxMouse::capture(), OIS::LinuxJoyStick::capture(), OIS::MacKeyboard::injectEvent(), OIS::Win32Mouse::setBuffered(), OIS::Win32Keyboard::setBuffered(), OIS::Win32JoyStick::setBuffered(), OIS::MacMouse::setBuffered(), OIS::MacKeyboard::setBuffered(), OIS::LinuxMouse::setBuffered(), OIS::LinuxKeyboard::setBuffered(), and OIS::LinuxJoyStick::setBuffered().

InputManager* OIS::Object::mCreator`[protected]`

The creator who created this object.

Referenced by OIS::Win32Mouse::_initialize(), OIS::Win32Keyboard::_initialize(), OIS::Win32JoyStick::_initialize(), OIS::MacMouse::_initialize(), OIS::MacKeyboard::_initialize(), OIS::LinuxMouse::_initialize(), OIS::LinuxKeyboard::_initialize(), OIS::MacMouse::_mouseCallback(), OIS::LinuxMouse::_processXEvents(), OIS::LinuxMouse::capture(), OIS::LinuxKeyboard::capture(), OIS::LinuxKeyboard::LinuxKeyboard(), OIS::LinuxMouse::LinuxMouse(), OIS::MacKeyboard::MacKeyboard(), OIS::MacMouse::MacMouse(), OIS::Win32Keyboard::Win32Keyboard(), OIS::Win32Mouse::Win32Mouse(), OIS::LinuxKeyboard::~LinuxKeyboard(), OIS::LinuxMouse::~LinuxMouse(), OIS::MacKeyboard::~MacKeyboard(), OIS::MacMouse::~MacMouse(), OIS::Win32JoyStick::~Win32JoyStick(), OIS::Win32Keyboard::~Win32Keyboard(), and OIS::Win32Mouse::~Win32Mouse().

int OIS::Object::mDevID`[protected]`

Not fully implemented yet.

Referenced by OIS::LinuxJoyStick::_getJoyInfo(), and OIS::Win32JoyStick::~Win32JoyStick().

Type OIS::Object::mType`[protected]`

Type of controller object.

std::string OIS::Object::mVendor`[protected]`

Vendor name if applicable/known.

Referenced by OIS::LinuxJoyStick::_getJoyInfo(), and OIS::Win32JoyStick::~Win32JoyStick().

The documentation for this class was generated from the following file:

- src/ois/OISObject.h